Loading...
Searching...
No Matches
Opm::is_gpu_operator< T > Struct Template Reference

Check if a given operator is a GPU operator. More...

`#include <is_gpu_operator.hpp>`

## Static Public Attributes

static constexpr bool | value = false

## Detailed Description

template<typename T>
struct Opm::is_gpu_operator< T >

Check if a given operator is a GPU operator.

This is used to check if the operator is a GPU operator, which is used in say the preconditioner factory to specialize the StandardPreconditioners class

Template Parameters

  T | The type of the operator to check.

The documentation for this struct was generated from the following file:

- opm/simulators/linalg/is_gpu_operator.hpp